Package org.opentcs.data.model.visualization

# Class LayoutElement

java.lang.Object
org.opentcs.data.model.visualization.LayoutElement

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `ImageLayoutElement`, `ModelLayoutElement`, `ShapeLayoutElement`

    @Deprecated
    @ScheduledApiChange(details="Will be removed.",
                        when="6.0")
    public abstract class LayoutElement
    extends java.lang.Object
    implements java.io.Serializable

Deprecated.
Will be removed.
A generic layout element that is to be displayed.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `LayoutElement()` | Deprecated. Creates a new LayoutElement.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getLayer()` | Deprecated. Returns the layer on which this layout element is to be displayed.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getProperties()` | Deprecated. Returns this layout element's properties, a generic set of key-value pairs that can contain basically any information describing this element.
  `void` | `setLayer​(int layer)` | Deprecated. Sets the layer on which this layout element is to be displayed.
  `void` | `setProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)` | Deprecated. Sets this layout element's properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LayoutElement

    protected LayoutElement()
    Deprecated.
    Creates a new LayoutElement.

- ## Method Details

  - ### getLayer

    public int getLayer()
    Deprecated.
    Returns the layer on which this layout element is to be displayed.
    Returns:
      The layer on which this layout element is to be displayed.

  - ### setLayer

    public void setLayer​(int layer)
    Deprecated.
    Sets the layer on which this layout element is to be displayed.
    Parameters:
      `layer` - The new layer.

  - ### getProperties

    public java.util.Map<java.lang.String,​java.lang.String> getProperties()
    Deprecated.
    Returns this layout element's properties, a generic set of key-value pairs that can contain basically any information describing this element.
    Returns:
      This layout element's properties.

  - ### setProperties

    public void setProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)
    Deprecated.
    Sets this layout element's properties.
    Parameters:
      `properties` - The new properties.